package com.loafle.overflow.target.model;

import com.loafle.overflow.member.model.Member;
import com.loafle.overflow.target.type.TargetType;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 5.
 */
@Entity
public class Target {

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    private Long id;

    @Column(name="IP", nullable=false)
    private long ip;

    @Column(name="PORT", nullable=false)
    private int port;

    @Column(name="TARGET_TYPE", nullable=false)
    @Enumerated(EnumType.STRING)
    private TargetType targetType;

    @Column(name="VENDOR_NAME", nullable=false)
    private String vendorName;

    @Column(name="KINDS", nullable=false)
    private String kinds;

    @Column(name="VERSION", nullable=false)
    private String version;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="CREATE_DATE", nullable=false , columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false)
    private Date createDate;

    @ManyToOne
    @JoinColumn(name = "MEMBER_ID", nullable=false)
    private Member member;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public long getIp() {
        return ip;
    }

    public void setIp(long ip) {
        this.ip = ip;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public TargetType getTargetType() {
        return targetType;
    }

    public void setTargetType(TargetType targetType) {
        this.targetType = targetType;
    }

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    public String getKinds() {
        return kinds;
    }

    public void setKinds(String kinds) {
        this.kinds = kinds;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Member getMember() {
        return member;
    }

    public void setMember(Member member) {
        this.member = member;
    }
}
