package com.loafle.overflow.target.dao;

import com.loafle.overflow.member.model.Member;
import com.loafle.overflow.target.model.Target;
import com.loafle.overflow.target.type.TargetType;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 5.
 */
public class JPATargetDaoTest {

    private JPATargetDao jpaTargetDao = null;


    @Before
    public void before() {
        this.jpaTargetDao = new JPATargetDao();
    }


    @Test
    public void testCreate() {

        Target target = new Target();


        target.setIp(3232235882L);
        target.setPort(5432);
        target.setTargetType(TargetType.DATABASE);
        target.setKinds("PostgreSQL");
        target.setVersion("9.5.0");
        target.setVendorName("PostgreSQL 9.5.0");

        Member member = new Member();
        member.setId(1L);

        target.setMember(member);

        this.jpaTargetDao.create(target);

    }

    @Test
    public void list() {

        Target target = new Target();
        Member member = new Member();
        member.setId(1L);

        target.setMember(member);

        List<Target> targets = this.jpaTargetDao.findAll(target);

        System.out.println(targets.size());

    }


}